Places
Places and points of interest
Get place details by ID, name/location, or coordinates
Lookup and enrich place data. Supports ID-based lookup (source+id), name-based lookup (name+lat+lng), or coordinate-based lookup (lat+lng). Coordinate-based lookups perform reverse geocoding and run full enrichment if an OSM object is found.
Query Parameters
sourcestringidstringnamestringlatnumberlngnumberradiusnumberlangstringResponse Body
curl -X GET "https://example.com/places/details?source=osm&id=string&name=string&lat=0&lng=0&radius=0&lang=string"fetch("https://example.com/places/details?source=osm&id=string&name=string&lat=0&lng=0&radius=0&lang=string")package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://example.com/places/details?source=osm&id=string&name=string&lat=0&lng=0&radius=0&lang=string"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://example.com/places/details?source=osm&id=string&name=string&lat=0&lng=0&radius=0&lang=string"
response = requests.request("GET", url)
print(response.text)Empty